Eclipse GEF 3.3

## org.eclipse.gef.ui.palette.customize
Class PaletteDrawerFactory

    java.lang.Object
      org.eclipse.gef.ui.palette.customize.PaletteEntryFactory
          org.eclipse.gef.ui.palette.customize.PaletteContainerFactory
              org.eclipse.gef.ui.palette.customize.PaletteDrawerFactory

public class PaletteDrawerFactory
extends PaletteContainerFactory

Factory to create `categories`

Constructor Summary
`PaletteDrawerFactory()` Constructor

Method Summary
`protected PaletteEntry` `createNewEntry(Shell shell)` Create the PaletteEntry
`protected java.lang.Object` `determineTypeForNewEntry(PaletteEntry selected)` Given the current selection, this method determines the type of the new entry to be created.

Methods inherited from class org.eclipse.gef.ui.palette.customize.PaletteContainerFactory
`canCreate, determineContainerForNewEntry, determineIndexForNewEntry`

Methods inherited from class org.eclipse.gef.ui.palette.customize.PaletteEntryFactory
`createNewEntry, getImageDescriptor, getLabel, setImageDescriptor, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaletteDrawerFactory

    public PaletteDrawerFactory()

  Constructor

Method Detail

### createNewEntry

    protected PaletteEntry createNewEntry(Shell shell)

  Description copied from class: `PaletteEntryFactory`
  Create the PaletteEntry

  Specified by:
    `createNewEntry` in class `PaletteEntryFactory`
  Parameters:
    `shell` - The `Shell` of the `PaletteCustomizerDialog`; it can be used to create another warning or information dialog.
  Returns:
    The newly created entry
  See Also:
    `PaletteEntryFactory.createNewEntry(Shell)`

### determineTypeForNewEntry

    protected java.lang.Object determineTypeForNewEntry(PaletteEntry selected)

  Description copied from class: `PaletteEntryFactory`
  Given the current selection, this method determines the type of the new entry to be created.

  Sub-classes may override this method.

  Overrides:
    `determineTypeForNewEntry` in class `PaletteEntryFactory`
  Parameters:
    `selected` - The selected entry
  Returns:
    The type of the new entry to be created
  See Also:
    `PaletteEntryFactory.determineTypeForNewEntry(org.eclipse.gef.palette.PaletteEntry)`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.